/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.efsm.extractor.conflict.jaxb;

import javax.xml.bind.annotation.adapters.XmlAdapter;

import ru.ispras.retrascope.model.Model;
import ru.ispras.retrascope.model.efsm.Efsm;

/**
 * XML Adapter of Efsm class for Conflicts representation.
 * 
 * @author <a href="mailto:lebedev@ispras.ru">Mikhail Lebedev</a>
 */
public final class JaxbEfsmAdapter extends XmlAdapter<String, Model> {

  @Override
  public String marshal(Model model) throws Exception {
    if (model.getClass() == Efsm.class) {
      Efsm efsm = (Efsm) model;
      return efsm.getName();
    }
    return "UNKNOWN";
    
  }

  @Override
  public Model unmarshal(String string) throws Exception {
    return new Efsm(string);
  }

}
