/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
package ru.ispras.retrascope.engine.efsm.generator.test.heuristic.pathfinders;

import java.util.List;

import ru.ispras.retrascope.model.efsm.EfsmTransition;

/**
 * The abstract class representing an heuristic for finding such paths in EFSM which enable
 * traversing target transitions.
 *
 * @author <a href="mailto:i.melnichenko@deltasolutions.ru">Igor Melnichenko</a>
 */
public abstract class EfsmPathfinder {
  /**
   * Returns a path for traversing.
   *
   * @return a list of transitions representing a next path proposed for traversing. {@code null}
   * is returned if all available paths were chosen or there are no available paths at
   * all
   */
  public abstract List<EfsmTransition> getNext();
}
