/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package ru.ispras.retrascope.model.basis;

/**
 * Predefined values of meta-information.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public enum MetaInfoValue {

  /* The supported HDL. */
  LANG_VHDL, // VHDL
  LANG_VERILOG, // Verilog

  /* The loop sub-graph components. */
  LOOP_INIT, // the loop counter initialization basic block node
  LOOP_ENTRY, // the loop entry merge node
  LOOP_COND, // the loop condition switch node
  LOOP_INC, // the loop counter incrementation basic block node
  LOOP_FIN, // the last node of the loop iteration
}
