/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
package ru.ispras.retrascope.model.basis.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;

import ru.ispras.fortress.expression.Node;
import ru.ispras.fortress.jaxb.JaxbDataType;
import ru.ispras.retrascope.model.basis.Event;
import ru.ispras.retrascope.model.basis.VariableType;

/**
 * The class for mediation during JAXB marshalling/unmarshalling of events. This class must be used
 * only for JAXB operations.
 *
 * @author <a href="mailto:i.melnichenko@deltasolutions.ru">Igor Melnichenko</a>
 *
 * @see Event
 */
@XmlAccessorType(value = XmlAccessType.FIELD)
class JaxbEventSignal {
  @XmlAttribute
  String name;
  @XmlAttribute
  VariableType signalType;
  @XmlAttribute
  JaxbDataType dataType;
  @XmlAttribute
  int size;
  @XmlElement
  Node leftIndex;
  @XmlElement
  Node rightIndex;
  @XmlElement
  String value;
}
