/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.model.cfg;

/**
 * Control flow graph model nodes types.
 * 
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public enum CfgNodeType {
  BASIC_BLOCK, // basic block node of control flow graph
  CASE,        // case node of control flow graph
  CFG,         // control flow graph
  INSTANCE,    // instance node
  MERGE,       // merge node of control flow graph
  MODULE,      // module node
  NODE,        // default type of model node
  PROCESS,     // process node
  SINK,        // last node of control flow graph
  SOURCE,      // first node of control flow graph
  SWITCH,      // switch node of control flow graph
  WAIT,        // wait node of control flow graph
}
