package ru.ispras.retrascope.model.cfg;

/**
 * Modes of control flow graph model {@link ru.ispras.retrascope.model.cfg.CfgModel}
 * walker {@link ru.ispras.retrascope.model.cfg.CfgWalker}.
 *
 * Depending on it's mode, walker will chose one or another strategy
 * of model walking (with or without repetitions of visited nodes, etc.)
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public enum CfgWalkerMode {
  DFS, // depth-first search
  DFS_WITHOUT_REPEAT // depth-first search without repetitions
  ;

  /**
   * Returns default walking mode.
   *
   * @return default walking mode
   */
  public static CfgWalkerMode getDefaultMode() { return CfgWalkerMode.DFS_WITHOUT_REPEAT; }
}
