/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package ru.ispras.retrascope.model.basis.memory;

/**
 * Interface for sub-areas of memory.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public interface Located {

  /**
   * Concatenates this memory area with other.
   *
   * @param location memory is to be concatenated
   * @return this memory area
   */
  Located concatenate(Located location);

  /**
   * Extracts this memory sub-area.
   *
   * @param left left sub-area bit number
   * @param right right sub-area bit number
   * @return memory sub-area
   */
  Located extract(int left, int right);
}
