/*
 * Copyright 2013 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.model.basis.memory;

import java.util.ArrayList;
import java.util.List;

/**
 * Subset of bit cells in memory model.
 * 
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 * 
 */
public class Location implements Located {

  private final List<Bit> bitList; // list of bits

  /**
   * Default constructor
   */
  public Location() { bitList = new ArrayList<>(); }

  /**
   * Constructs location from list of bits.
   *
   * @param list bit list
   */
  public Location(List<Bit> list) {
    bitList = new ArrayList<>();
    bitList.addAll(list);
  }

  @Override
  public Located concatenate(Located location) {
    // TODO Auto-generated method stub
    return null;
  }

  @Override
  public Located extract(int left, int right) {
    return new Location(bitList.subList(left, right));
  }
}
