/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */


package ru.ispras.retrascope.engine.ast.printer.smv;

import java.io.File;
import java.util.LinkedHashMap;
import java.util.Map;

import org.junit.Test;

import ru.ispras.retrascope.VhdlFiles;
import ru.ispras.retrascope.util.VhdlUtilTest;

/**
 * This test prints every *.vhdl file from the test suite into *.smv format. Results are stored to
 * smv/ folder.
 * 
 * @author <a href="mailto:lebedev@ispras.ru">Mikhail Lebedev</a>
 */
public class AstSmvPrinterTestCase {

  @Test
  public void test() {
    Map<String, Map<String, String>> vhdlFiles = VhdlFiles.getFiles();

    for (String project : vhdlFiles.keySet()) {
      Map<String, String> projectMap = vhdlFiles.get(project);

      for (String fileName : projectMap.keySet()) {
        Map<String, String> onlyFile = new LinkedHashMap<String, String>();
        onlyFile.put(fileName, projectMap.get(fileName));
        VhdlUtilTest.runVhdl(
            onlyFile,
            AstSmvPrinter.OUT_TYPE.getId(),
            new String[] {
                "--" + AstSmvPrinter.SMV_FILE_NAME.getLongName(),
                fileName.substring(fileName.lastIndexOf(File.separator) + 1,
                    fileName.lastIndexOf("."))
                    + ".smv"});
      }
    }
  }

}
