/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ru.ispras.retrascope;

import java.nio.file.Paths;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * @author <a href="mailto:chupilko@ispras.ru">Mikhail Chupilko</a>
 */
public class VerilogFiles {

  // Verilog projects & files and their top level modules names
  private static Map<String, Map<String,String>> map = new LinkedHashMap<>();

  static {

    // adder project
    Map<String, String> adder = new LinkedHashMap<>();
    adder.put(Paths.get("src", "test", "verilog", "adder", "adder4.v").toString(), "");
//    adder.put(Paths.get("src", "test", "verilog", "adder", "adder4_testbench.v").toString(), "");
    map.put("adder", adder);

    // empty project
    Map<String, String> empty = new LinkedHashMap<>();
    empty.put(Paths.get("src", "test", "verilog", "empty", "empty.v").toString(), "");
    map.put("empty", empty);

    // fifo project
    Map<String, String> fifo = new LinkedHashMap<>();
    fifo.put(Paths.get("src", "test", "verilog", "fifo", "fifo.v").toString(), "");
    fifo.put(Paths.get("src", "test", "verilog", "fifo", "fifo_testbench.v").toString(), "");
    map.put("fifo", fifo);
    
    // fifo_mod project
    Map<String, String> fifoMod = new LinkedHashMap<>();
    fifoMod.put(Paths.get("src", "test", "verilog", "fifo_mod", "fifo.v").toString(), "");
    map.put("fifo_mod", fifoMod);

    // fifo0 project
//    Map<String, String> fifo0 = new LinkedHashMap<>();
//    fifo0.put(Paths.get("src", "test", "verilog", "fifo0", "mem_2p.v").toString(), "");
//    fifo0.put(Paths.get("src", "test", "verilog", "fifo0", "mul_fifo.v").toString(), "");
//    fifo0.put(Paths.get("src", "test", "verilog", "fifo0", "myfifo.v").toString(), "");
//    map.put("fifo", fifo0);
    
    // mux project
    Map<String, String> mux = new LinkedHashMap<>();
    mux.put(Paths.get("src", "test", "verilog", "mux", "mux4_1.v").toString(), "");
//    mux.put(Paths.get("src", "test", "verilog", "mux", "mux4_1_testbench.v").toString(), "");
    map.put("mux", mux);
    
    // ram project
    Map<String, String> ram = new LinkedHashMap<>();
    ram.put(Paths.get("src", "test", "verilog", "ram", "ram.v").toString(), "");
    ram.put(Paths.get("src", "test", "verilog", "ram", "ram_testbench.v").toString(), "");
    map.put("ram", ram);
  }

  public static Map<String, Map<String, String>> getFiles() { return map; }
}
