/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.cfg.printer.graphml;

import java.util.Map;

import org.junit.Test;

import ru.ispras.retrascope.VhdlFiles;
import ru.ispras.retrascope.util.VhdlUtilTest;

/**
 * Tests for printer from control flow graph to GraphML format.
 * 
 * @author <a href="mailto:protsenko@ispras.ru">Alexander Protsenko</a>
 */
public class CfgGraphMlPrinterTestCase {
  @Test
  public void runTest() {
    runTest("");

    // Get vhdl projects
    Map<String, Map<String, String>> vhdlFiles = VhdlFiles.getFiles();
    // Run Retrascope
    for (String map : vhdlFiles.keySet())
      VhdlUtilTest.runVhdl(
          vhdlFiles.get(map),
          CfgGraphMlPrinter.OUT_TYPE.getId(),
          new String[] {
              "--" + CfgGraphMlPrinter.GRAPHML_PARAM.getLongName(),
              map + "-cfg.graphml"});
  }

  private void runTest(String a) {
    System.out.println("Running test case graphml printer" + a + ".");
  }
}
