/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ru.ispras.retrascope.engine.cfg.transformer.cgaa;

import org.junit.Test;
import ru.ispras.retrascope.model.cgaa.CgaaModel;
import ru.ispras.retrascope.util.HdlUtilTest;

/** Test for control flow graph model {@link ru.ispras.retrascope.model.cfg.CfgModel}
 * to clocked guarded atomic action model {@link ru.ispras.retrascope.model.cgaa.CgaaModel}
 * transformer {@link ru.ispras.retrascope.engine.cfg.transformer.cgaa.CfgCgaaTransformer}.
 *
 * Test runs the transformer on every top-level module
 * of every HDL file from project test suite.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public class CfgCgaaTransformerTestCase {
  @Test
  public void runTest() { HdlUtilTest.runHdl(CgaaModel.TYPE.getId()); }
}
