/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
package ru.ispras.retrascope.engine.efsm.generator.test;

import java.io.IOException;

import org.junit.Test;

import ru.ispras.retrascope.Retrascope;
import ru.ispras.retrascope.util.HdlUtilTest;

/**
 * The test for {@link ru.ispras.retrascope.engine.efsm.generator.test.EfsmTestGenerator}. VHDL
 * code examples are used as inputs.
 *
 * @author <a href="mailto:i.melnichenko@deltasolutions.ru">Igor Melnichenko</a>
 */
public class EfsmTestGeneratorVhdlTestCase {
  @Test
  public void generate() throws IOException {
    HdlUtilTest.runVhdl(ru.ispras.retrascope.result.testbench.Test.ENTITY_TYPE_ID,
        new String[] {"--" + Retrascope.ENGINE_PARAM.getLongName(), EfsmTestGenerator.ENGINE_ID/*,
        "--" + Retrascope.LOG_PARAM.getLongName(), "l.log"
        , "--" + Retrascope.LOG_LEVEL.getLongName(), "DEBUG"*/});
  }
}
