/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.efsm.printer.graphml;

import org.junit.Test;

import ru.ispras.retrascope.model.efsm.Efsm;
import ru.ispras.retrascope.model.efsm.EfsmModel;
import ru.ispras.retrascope.model.efsm.examples.B04;

/**
 * Control flow graph visitor for GraphML printer.
 * 
 * @author <a href="mailto:protsenko@ispras.ru">Alexander Protsenko</a>
 */

public class B04EfsmGraphMlPrinterTestCase {
  @Test
  public void runTest() {
    runTest("efsm-model");

    Efsm efsm = B04.EFSM;

    EfsmModel efsmModel = new EfsmModel();
    efsmModel.addEfsm(efsm);

    EfsmGraphMlPrinter printer = new EfsmGraphMlPrinter();
    printer.print("Efsm_b04.graphml", efsmModel);

    System.out.println("End test.");
  }

  private void runTest(String a) {
    System.out.println("Running test case gml printer: " + a);
  }
}
